> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Updates the group details for a given GUID.

# Update

For the complete error reference, see [Error Guide](/articles/error-guide).


## OpenAPI

````yaml put /groups/{guid}
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /groups/{guid}:
    put:
      tags:
        - Groups
      summary: Update
      description: Updates the group details for a given GUID.
      operationId: update-group
      parameters:
        - $ref: '#/components/parameters/onBehalfOf'
        - $ref: '#/components/parameters/guid'
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  description: Name of the group.
                  type: string
                type:
                  description: >-
                    The type of the group. The available values are: public,
                    password and private.
                  type: string
                  enum:
                    - public
                    - password
                    - private
                password:
                  description: A password required to join the the group with type password
                  type: string
                icon:
                  description: An URL for a group icon.
                  type: string
                description:
                  description: Description about the group
                  type: string
                metadata:
                  description: Additional group data.
                  type: object
                owner:
                  description: >-
                    The UID that you wish to make the owner of the group.This
                    field will be ignored if onBehalfOf parameter in the header
                    is present in the request.
                  type: string
                tags:
                  description: Updates tags of a group.
                  type: array
                  items:
                    type: string
                  default:
                    - tag1
                unset:
                  description: >-
                    The unsettable user attributes are icon, description and
                    metadata.
                  type: array
                  items:
                    type: string
                    enum:
                      - icon
                      - description
                      - metadata
                    description: Group attributes that can be unset.
              type: object
      responses:
        '200':
          description: Get group
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: object
                type: object
              example:
                data:
                  guid: project-group
                  name: Project Group
                  description: project related discussions between members
                  icon: >-
                    https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp
                  type: public
                  scope: admin
                  membersCount: 1
                  joinedAt: 1638440784
                  conversationId: group_project-group
                  hasJoined: true
                  createdAt: 1638440784
                  owner: cometchat-uid-4
                  tags:
                    - friends
                    - project
      security:
        - apiKey: []
components:
  parameters:
    onBehalfOf:
      name: onBehalfOf
      in: header
      description: UID of the user on whose behalf the action is performed.
      schema:
        type: string
    guid:
      name: guid
      in: path
      description: A GUID of a group.
      required: true
      schema:
        type: string
      examples:
        string:
          summary: GUID
          value: cometchat-guid-1
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````